mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Metadata.SoapAttribute System.AttributeUsage(System.AttributeTargets.Field) System.Runtime.InteropServices.ComVisible(true)

The target objects for the attribute are object fields. The attribute is used to specify information that controls how the .NET Framework generates the SOAP XML wire format for target fields.

Customizes SOAP generation and processing for a field. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates an instance of class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Returns a value indicating whether the current attribute contains interop XML element values.

  true if the current attribute contains interop XML element values; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  You should not use this property; it is not used by the .NET Framework remoting infrastructure.

  Gets or sets the order of the current field attribute.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the XML element name of the field contained in the attribute.